Bug 218480 - CVE-2006-6235 GnuPG references local variable after function returns
CVE-2006-6235 GnuPG references local variable after function returns
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
All Linux
urgent Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-12-05 13:13 EST by Lubomir Kundrak
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0754
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-06 12:54:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed fix (for 1.4.5) (6.02 KB, patch)
2006-12-05 13:13 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2006-12-05 13:13:34 EST
Description of problem:

Reference to local variable dfx of function decrypt_data() is used by the
functions decode_filter() and mdc_decode_filter() after it is terminated,
making it possible to overwrite the stack by changing its contents, which can
potentially lead to arbitrairy code execution (when program flow is altered
by overwriting the return address stored on the stack)

Version-Release number of selected component (if applicable):

RHEL-2.1, RHEL-3, RHEL-4, RHEL-5, FC-5, FC-6

How reproducible:

No reproducer.
Comment 1 Lubomir Kundrak 2006-12-05 13:13:34 EST
Created attachment 142874 [details]
Proposed fix (for 1.4.5)
Comment 2 Lubomir Kundrak 2006-12-05 13:36:11 EST
The description is wrong. It is actually not possible to overwrite stack with
reference to the structure, but the opposite -- modify the structure by changing
some local variable in function, whose stack frame covers the structure.
This is dangerous, because the structure containst pointers to functions.
Comment 6 Red Hat Bugzilla 2006-12-06 12:54:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.